Subject: [bug#49149] [PATCH 0/7] Add deb format for guix pack.

From: zimoun <[email-masked]>
Date: Wed, 30 Jun 2021 15:49:03 +0200

Hi,

I am a bit late to the party.

Thanks for this good idea of pack.  Neat!

On Wed, 30 Jun 2021 at 11:15, Ludovic Courtès <[email-masked]> wrote:

> Also, what happens if you do:
>
>   sudo apt install guix
>   guix install stuff …
>   sudo apt install ./guix-pack-generated.deb
>
> ?
>
> Will that overwrite things in /gnu/store?
>
> Admittedly it makes little sense to do something like this, but that’s
> something one could do.

The simple scenario:

  scp \
    $(guix pack -f deb hello -C xz -S /usr/bin/hello=bin/hello) \
    remote:/tmp/
  ssh remote
  sudo apt install /tmp/…-hello-deb-pack.deb
  realpath $(which hello)
  /gnu/store/…-hello-2.10/bin/hello

works fine.  Then, I am probably doing wrong:

  sudo apt remove hello
  hello
  -bash: hello: command not found

   guix help
   bash: /home/simon/.config/guix/current/bin/guix: /gnu/store/…-guile-wrapper/bin/guile: bad interpreter: No such file or directory

I have not investigated.  Just a quick test for this nice new feature.

Cheers,
simon